package com.mdd.admin.vo.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("退款记录列表Vo")
public class FinanceRefundListVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("记录ID")
   private Integer id;
   @ApiModelProperty("退款编号")
   private String sn;
   @ApiModelProperty("用户头像")
   private String avatar;
   @ApiModelProperty("用户昵称")
   private String nickname;
   @ApiModelProperty("来源单号SN")
   private String orderSn;
   @ApiModelProperty("总应付款金额")
   private BigDecimal orderAmount;
   @ApiModelProperty("本次退款金额")
   private BigDecimal refundAmount;
   @ApiModelProperty("退款类型: 1=后台退款")
   private Integer refundType;
   @ApiModelProperty("退款状态: 0=退款中, 1=退款成功, 2=退款失败")
   private Integer refundStatus;
   @ApiModelProperty("退款类型描述")
   private String refundTypeMsg;
   @ApiModelProperty("退款状态描述")
   private String refundStatusMsg;
   @ApiModelProperty("记录时间")
   private String createTime;

   public Integer getId() {
      return this.id;
   }

   public String getSn() {
      return this.sn;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getOrderSn() {
      return this.orderSn;
   }

   public BigDecimal getOrderAmount() {
      return this.orderAmount;
   }

   public BigDecimal getRefundAmount() {
      return this.refundAmount;
   }

   public Integer getRefundType() {
      return this.refundType;
   }

   public Integer getRefundStatus() {
      return this.refundStatus;
   }

   public String getRefundTypeMsg() {
      return this.refundTypeMsg;
   }

   public String getRefundStatusMsg() {
      return this.refundStatusMsg;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setSn(String sn) {
      this.sn = sn;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setOrderSn(String orderSn) {
      this.orderSn = orderSn;
   }

   public void setOrderAmount(BigDecimal orderAmount) {
      this.orderAmount = orderAmount;
   }

   public void setRefundAmount(BigDecimal refundAmount) {
      this.refundAmount = refundAmount;
   }

   public void setRefundType(Integer refundType) {
      this.refundType = refundType;
   }

   public void setRefundStatus(Integer refundStatus) {
      this.refundStatus = refundStatus;
   }

   public void setRefundTypeMsg(String refundTypeMsg) {
      this.refundTypeMsg = refundTypeMsg;
   }

   public void setRefundStatusMsg(String refundStatusMsg) {
      this.refundStatusMsg = refundStatusMsg;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceRefundListVo)) {
         return false;
      } else {
         FinanceRefundListVo other = (FinanceRefundListVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label155: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label155;
                  }
               } else if (this$id.equals(other$id)) {
                  break label155;
               }

               return false;
            }

            Object this$refundType = this.getRefundType();
            Object other$refundType = other.getRefundType();
            if (this$refundType == null) {
               if (other$refundType != null) {
                  return false;
               }
            } else if (!this$refundType.equals(other$refundType)) {
               return false;
            }

            Object this$refundStatus = this.getRefundStatus();
            Object other$refundStatus = other.getRefundStatus();
            if (this$refundStatus == null) {
               if (other$refundStatus != null) {
                  return false;
               }
            } else if (!this$refundStatus.equals(other$refundStatus)) {
               return false;
            }

            label134: {
               Object this$sn = this.getSn();
               Object other$sn = other.getSn();
               if (this$sn == null) {
                  if (other$sn == null) {
                     break label134;
                  }
               } else if (this$sn.equals(other$sn)) {
                  break label134;
               }

               return false;
            }

            label127: {
               Object this$avatar = this.getAvatar();
               Object other$avatar = other.getAvatar();
               if (this$avatar == null) {
                  if (other$avatar == null) {
                     break label127;
                  }
               } else if (this$avatar.equals(other$avatar)) {
                  break label127;
               }

               return false;
            }

            label120: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label120;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label120;
               }

               return false;
            }

            Object this$orderSn = this.getOrderSn();
            Object other$orderSn = other.getOrderSn();
            if (this$orderSn == null) {
               if (other$orderSn != null) {
                  return false;
               }
            } else if (!this$orderSn.equals(other$orderSn)) {
               return false;
            }

            label106: {
               Object this$orderAmount = this.getOrderAmount();
               Object other$orderAmount = other.getOrderAmount();
               if (this$orderAmount == null) {
                  if (other$orderAmount == null) {
                     break label106;
                  }
               } else if (this$orderAmount.equals(other$orderAmount)) {
                  break label106;
               }

               return false;
            }

            Object this$refundAmount = this.getRefundAmount();
            Object other$refundAmount = other.getRefundAmount();
            if (this$refundAmount == null) {
               if (other$refundAmount != null) {
                  return false;
               }
            } else if (!this$refundAmount.equals(other$refundAmount)) {
               return false;
            }

            label92: {
               Object this$refundTypeMsg = this.getRefundTypeMsg();
               Object other$refundTypeMsg = other.getRefundTypeMsg();
               if (this$refundTypeMsg == null) {
                  if (other$refundTypeMsg == null) {
                     break label92;
                  }
               } else if (this$refundTypeMsg.equals(other$refundTypeMsg)) {
                  break label92;
               }

               return false;
            }

            Object this$refundStatusMsg = this.getRefundStatusMsg();
            Object other$refundStatusMsg = other.getRefundStatusMsg();
            if (this$refundStatusMsg == null) {
               if (other$refundStatusMsg != null) {
                  return false;
               }
            } else if (!this$refundStatusMsg.equals(other$refundStatusMsg)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceRefundListVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $refundType = this.getRefundType();
      result = result * 59 + ($refundType == null ? 43 : $refundType.hashCode());
      Object $refundStatus = this.getRefundStatus();
      result = result * 59 + ($refundStatus == null ? 43 : $refundStatus.hashCode());
      Object $sn = this.getSn();
      result = result * 59 + ($sn == null ? 43 : $sn.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $orderSn = this.getOrderSn();
      result = result * 59 + ($orderSn == null ? 43 : $orderSn.hashCode());
      Object $orderAmount = this.getOrderAmount();
      result = result * 59 + ($orderAmount == null ? 43 : $orderAmount.hashCode());
      Object $refundAmount = this.getRefundAmount();
      result = result * 59 + ($refundAmount == null ? 43 : $refundAmount.hashCode());
      Object $refundTypeMsg = this.getRefundTypeMsg();
      result = result * 59 + ($refundTypeMsg == null ? 43 : $refundTypeMsg.hashCode());
      Object $refundStatusMsg = this.getRefundStatusMsg();
      result = result * 59 + ($refundStatusMsg == null ? 43 : $refundStatusMsg.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceRefundListVo(id=" + this.getId() + ", sn=" + this.getSn() + ", avatar=" + this.getAvatar() + ", nickname=" + this.getNickname() + ", orderSn=" + this.getOrderSn() + ", orderAmount=" + this.getOrderAmount() + ", refundAmount=" + this.getRefundAmount() + ", refundType=" + this.getRefundType() + ", refundStatus=" + this.getRefundStatus() + ", refundTypeMsg=" + this.getRefundTypeMsg() + ", refundStatusMsg=" + this.getRefundStatusMsg() + ", createTime=" + this.getCreateTime() + ")";
   }
}
